Name:           cern-ldap-conf
Version:        1.1
Release:        1%{?dist}
Group:          CERN/Utilities
License:        BSD
URL:            http://linux.cern.ch
Source0:        %{name}-%{version}.tgz
BuildArch:      noarch
Summary:        CERN's OpenLDAP configuration

%description
CERN's OpenLDAP configuration

%package simple
Summary:        CERN's OpenLDAP configuration for anonymous bind
Requires:       openldap, CERN-CA-certs
Conflicts:      cern-ldap-conf-gssapi, cern-ldap-conf-ipadev-gssapi, cern-ldap-conf-ipadev-anon

%description simple
CERN's OpenLDAP configuration for TLS-enabled anonymous bind against
xldap.cern.ch read-only directory servers

%package gssapi
Summary:        CERN's OpenLDAP configuration for GSSAPI-authenticated bind
Requires:       openldap, krb5-workstation
Conflicts:      cern-ldap-conf-simple, cern-ldap-conf-ipadev-gssapi, cern-ldap-conf-ipadev-anon

%description gssapi
CERN's OpenLDAP configuration for GSSAPI-authenticated bind against 
cerndc.cern.ch Active Directory servers

%package ipadev-gssapi
Summary:        CERN IPAdev's OpenLDAP configuration for GSSAPI-authenticated bind
Requires:       openldap, krb5-workstation, CERN-CA-certs
Conflicts:      cern-ldap-conf-simple, cern-ldap-conf-gssapi, cern-ldap-conf-ipadev-anon

%description ipadev-gssapi
CERN's OpenLDAP configuration for TLS-enabled and SASL GSSAPI-authenticated 
bind against servers of FreeIPA development domain

%package ipadev-anon
Summary:        CERN IPAdev's OpenLDAP configuration for plain authentication and anonymous bind
Requires:       openldap, CERN-CA-certs
Conflicts:      cern-ldap-conf-simple, cern-ldap-conf-gssapi, cern-ldap-conf-ipadev-gssapi

%description ipadev-anon
CERN's OpenLDAP configuration for TLS-enabled and SASL anonymous bind against 
servers of FreeIPA development domain

%prep
%setup -q

%build
%install
install -d %{buildroot}/%{_sysconfdir}/openldap
install -p -m 644 ldap-cern-simple.conf %{buildroot}/%{_sysconfdir}/openldap/ldap-cern-simple.conf
install -p -m 644 ldap-cern-gssapi.conf %{buildroot}/%{_sysconfdir}/openldap/ldap-cern-gssapi.conf
install -p -m 644 ldap-cern-ipadev-gssapi.conf %{buildroot}/%{_sysconfdir}/openldap/ldap-cern-ipadev-gssapi.conf
install -p -m 644 ldap-cern-ipadev-anon.conf %{buildroot}/%{_sysconfdir}/openldap/ldap-cern-ipadev-anon.conf

%files simple
%config %{_sysconfdir}/openldap/ldap-cern-simple.conf

%files gssapi
%config %{_sysconfdir}/openldap/ldap-cern-gssapi.conf

%files ipadev-gssapi
%config %{_sysconfdir}/openldap/ldap-cern-ipadev-gssapi.conf

%files ipadev-anon
%config %{_sysconfdir}/openldap/ldap-cern-ipadev-anon.conf

%define link_conf() if [ %1 = 1 ]; then [ ! -f %{_sysconfdir}/openldap/ldap.conf ] || mv %{_sysconfdir}/openldap/ldap.conf %{_sysconfdir}/openldap/ldap.conf.rpmbkp; ln -sf %{_sysconfdir}/openldap/ldap-cern-%2.conf %{_sysconfdir}/openldap/ldap.conf; fi

%post simple
%link_conf $1 simple

%post gssapi
%link_conf $1 gssapi

%post ipadev-gssapi
%link_conf $1 ipadev-gssapi

%post ipadev-anon
%link_conf $1 ipadev-anon

%define restore_conf() if [ %1 = 0 ]; then if [ -L %{_sysconfdir}/openldap/ldap.conf ]; then rm -f %{_sysconfdir}/openldap/ldap.conf; fi; if [ -f %{_sysconfdir}/openldap/ldap.conf.rpmbkp ]; then mv %{_sysconfdir}/openldap/ldap.conf.rpmbkp %{_sysconfdir}/openldap/ldap.conf; fi; fi

%postun simple
%restore_conf $1

%postun gssapi
%restore_conf $1

%postun ipadev-gssapi
%restore_conf $1

%postun ipadev-anon
%restore_conf $1

%changelog
* Wed May 27 2020 Julien Rische <julien.rische@cern.ch> - 1.1-1
- Use service DNS alias rather than single server FQDN

* Wed May 13 2020 Julien Rische <julien.rische@cern.ch> - 1.0-1
- Initial release
